Finding a Brute Force Solution

Byte by Byte
Byte by Byte
20.1 هزار بار بازدید - 6 سال پیش - One of the most important
One of the most important things to do when you're solving a coding interview question is to find the brute force solution. I've talked a ton about why this is important (https://www.byte-by-byte.com/brute-fo..., but I know that it's not always easy to find that brute force solution if you're stuck on a problem.

In this video, I go through one method for finding a brute force solution. This only applies to a subset of problems (often dynamic programming problems), but it is a really useful strategy if the problem applies.

In this video, I talk about the 0-1 Knapsack Problem (Interview Question: 0-1 Knapsack) and the Stair Step Problem (https://leetcode.com/problems/climbin.... These are both examples of dynamic programming problems for which this technique works perfectly.

50 Practice Questions: https://www.byte-by-byte.com/50-quest...

DOWNLOAD MY FREE EBOOK: http://www.dynamicprogrammingbook.com

You can also find me on
Website: https://www.byte-by-byte.com
Twitter: Twitter: ByteByByteBlog
Facebook: Facebook: bytebybyteblog
Email: [email protected]
6 سال پیش در تاریخ 1397/05/03 منتشر شده است.
20,102 بـار بازدید شده
... بیشتر